'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _IndexWrapper = require('./IndexWrapper');

var _IndexWrapper2 = _interopRequireDefault(_IndexWrapper);

var _prefixer = require('../tools/prefixer');

var _prefixer2 = _interopRequireDefault(_prefixer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var BASE_STYLE = {
    display: 'flex',
    flexDirection: 'column'
};

function TableBody(props) {
    var style = props.style,
        bodyClass = props.bodyClass;


    var compStyle = _extends({}, BASE_STYLE, style);

    return _react2.default.createElement(
        'div',
        { className: bodyClass, style: _prefixer2.default.prefix(compStyle) },
        _react.Children.map(props.children, function (Row, i) {
            return _react2.default.createElement(
                _IndexWrapper2.default,
                { childIndex: i },
                Row
            );
        })
    );
}

TableBody.propTypes = {
    style: _propTypes2.default.object,
    bodyClass: _propTypes2.default.string
};

TableBody.defaultProps = {
    style: {}
};

exports.default = TableBody;